Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.tree
Class DefaultNodeRenderer

    java.lang.Object
      com.tonbeller.wcf.tree.DefaultNodeRenderer

All Implemented Interfaces:
  NodeRenderer

public class DefaultNodeRenderer
extends java.lang.Object
implements NodeRenderer

creates an Element "tree-node" with an attribute "label", whose value is node.toString()

Author:
  av

Field Summary
`protected java.lang.String` | `nodeElementName`

Fields inherited from interface com.tonbeller.wcf.tree.NodeRenderer
`DEFAULT_NODE_ELEMENT_NAME`

Constructor Summary
`DefaultNodeRenderer()`
`DefaultNodeRenderer(LabelProvider labelProvider)`

Method Summary
`LabelProvider` | `getLabelProvider()`
`java.lang.String` | `getNodeElementName()` Returns the nodeElementName.
`org.w3c.dom.Element` | `renderNode(RequestContext context, org.w3c.dom.Document factory, java.lang.Object node)`
`void` | `setLabelProvider(LabelProvider labelProvider)`
`void` | `setNodeElementName(java.lang.String nodeElementName)` Sets the nodeElementName.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodeElementName

    protected java.lang.String nodeElementName

Constructor Detail

### DefaultNodeRenderer

    public DefaultNodeRenderer()

### DefaultNodeRenderer

    public DefaultNodeRenderer(LabelProvider labelProvider)

Method Detail

### renderNode

    public org.w3c.dom.Element renderNode(RequestContext context,
                                          org.w3c.dom.Document factory,
                                          java.lang.Object node)

  Specified by:
    `renderNode` in interface `NodeRenderer`

### getNodeElementName

    public java.lang.String getNodeElementName()

  Returns the nodeElementName.

  Returns:
    String

### setNodeElementName

    public void setNodeElementName(java.lang.String nodeElementName)

  Sets the nodeElementName.

  Parameters:
    `nodeElementName` - The nodeElementName to set

### getLabelProvider

    public LabelProvider getLabelProvider()

  Returns:
    Returns the labelProvider.

### setLabelProvider

    public void setLabelProvider(LabelProvider labelProvider)

  Parameters:
    `labelProvider` - The labelProvider to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD